
Redmine - Feature #1917

Required on close

2008-09-18 01:44 - Felipe Campo

Status: Closed Start date: 2008-09-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be useful to have a check item on issues related custom fields that force tha this field is mandatoty to fullfill when the issue

change to a state registered for close.

It would be similar to the actual required field but only for the closure of the issue.

Related issues:

Is duplicate of Redmine - Feature #703: Configurable required fields per trac... Closed 2008-02-21

History

#1 - 2008-09-18 02:03 - Stephanie Collett

+1 This would be great for requiring a field like 'resolution' on close.

#2 - 2008-09-25 22:00 - Mikael Rudberg

+1 for me too it would be even better if you could have a connection on all to state so for instance you could tell which fields where required for a

particular state as in ClearQuest

e.g.

state : Assigned

field : Target Version   : Required

field : Affected version : Optional

etc. etc.

#3 - 2008-09-26 02:06 - Anonymous

Stephanie Collett wrote:

+1 This would be great for requiring a field like 'resolution' on close.

 I'm interested in this for the exact same thing.  At the moment I have patched our system to have a hard-coded check for moving an issue to a closed

state without the custom "resolution" field being set.

#4 - 2008-11-11 10:34 - Jean-Philippe Lang

- Target version deleted (0.8)

#5 - 2008-11-11 23:17 - Felipe Campo

- Assignee set to Jean-Philippe Lang

Jean-Philippe , the version erase means that the Feature was dismissed ??

#6 - 2008-11-11 23:17 - Felipe Campo

- Assignee deleted (Jean-Philippe Lang)

#7 - 2008-11-12 02:55 - Anonymous

Felipe Campo wrote:

Jean-Philippe , the version erase means that the Feature was dismissed ??

2025-05-17 1/2



 I suspect it means that version 0.8 is being finalised, and that this feature has not yet been implemented so it won't be there.  That doesn't mean that

this will not be implemented in the future though - I'm watching this issue with anticipation personally.  If I had more time I'd write a patch.....  ahhhh,

the memories of once having spare time are starting to come back to me :(

#8 - 2008-11-12 15:03 - Jean-Philippe Lang

Felipe, Nick is right.

#9 - 2009-04-01 21:14 - Johan Levin

+1

#10 - 2009-04-02 12:13 - Nicklas Holm

+1

#11 - 2009-09-08 23:26 - Brian FInch

+1

#12 - 2010-01-14 15:44 - Steve Overton

+1

#13 - 2011-12-05 19:10 - Ryan Rangel

I too need the ability to "require" a field to be filled in for the ticket to change state. Any chance we can get this feature?

#14 - 2011-12-07 02:38 - Maxim Nikolaevich

I too need the ability to "require" a field to be filled in for the ticket to change status

even #5686 created.

#15 - 2013-01-27 05:10 - Mischa The Evil

- Subject changed from Requiered on close to Required on close

- Status changed from New to Closed

- Resolution set to Duplicate

This is superseeded by #703 (2.1.0). You can now configure required (and read-only) standard/custom fields per tracker, status and role.

Maxim, issue #5686 proposes something different than that what Felipe requested in this issue initially.
